#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'nonspk.edit_paket'}
#{/set}

<div class="content">
    <ol class="breadcrumb" style="background-color: #d9534f !important;">
        <li><a href="@{BerandaCtr.index()}">&{'nonspk.home'}</a></li>
        <li><a href="@{nonlelang.PaketPlCtr.indexNonSpk()}">&{'nonspk.title_daftar_paket'}</a></li>
        <li class="active">&{'nonspk.edit_pencatatan_non_tender'}</li>
    </ol>
#{alert /}
    <div class="bs-callout bs-callout-info">
        <strong>Penting:</strong><br>
        <span>Paket Pencatatan Non Tender wajib diisi dengan lengkap.</span>
    </div>

#{form @nonSpk.NonSpkCtr.simpan(nonSpk.lls_id), id:'formEditNonSpk', enctype:"multipart/form-data", method:'POST'}
    <table class="table table-sm table-bordered">
        <tr>
            <th class="bgwarning" width="250">Kode Paket</th>
            <td>
                ${nonSpk?.lls_id}
                <input name="nonSpk.lls_id" value="${nonSpk?.lls_id}" type="hidden" />
                <input name="nonSpk.lls_status" value="${nonSpk?.lls_status}" type="hidden" />
            </td>
        </tr>
        <tr>
            <th class="bgwarning">Nama Paket</th>
            <td colspan="3">${nonSpk.paket.pkt_nama}&nbsp;<a href="@{nonSpk.NonSpkCtr.pengumumanNonSpk(nonSpk.lls_id)}" class="jpopup"><span class="badge  badge-secondary">Detil</span></a></td>
        </tr>
        <tr>
            <th class="bgwarning">Jenis Pengadaan</th>
            <td colspan="3">#{selectKategori 'kategoriId', value:kategori.id, autoSubmit:false, disabled:nonSpk?.paket?.pkt_status?.isSelesaiLelang()/}</td>
        </tr>
        <tr>
            <th class="bgwarning">Metode Pemilihan</th>
            <td colspan="3">#{selectPemilihanNonSpk 'nonSpk.mtd_pemilihan', value:nonSpk.mtd_pemilihan ,kategori:nonSpk.paket.kgr_id, autoSubmit:true, disabled:nonSpk?.paket?.pkt_status?.isSelesaiLelang()/}</td>
        </tr>
        <tr>
            <th class="bgwarning">Nilai Pagu</th>
            <td colspan="3">
               ${nonSpk?.paket?.pkt_pagu?.rupiah()}
            </td>
        </tr>
        <tr>
            <th class="bgwarning">Realisasi</th>
            <td colspan="3">
                <table id="tblDokJenis" class="table table-sm table-bordered">
                    <thead>
                    <th width="30">No.</th>
                    <th>&{'nonspk.jenis_realisasi'}</th>
                    <th>&{'nonspk.nilai_realisasi'}</th>
                    <th>&{'nonspk.tanggal_realisasi'}</th>
                    #{if !nonSpk?.paket?.pkt_status?.isSelesaiLelang()}
                        <th width="50"></th>
                    #{/if}
                    </thead>
                    #{list items:jenisRealisasiList, as:'jenisRealisasi'}
                        <tr>
                        	<td align="center">${jenisRealisasi_index}</td>
                            <td>
                                <a href ="@{nonSpk.RealisasiNonSpkCtr.editJenisRealisasi(nonSpk.lls_id, jenisRealisasi.rsk_id)}">
                                #{if jenisRealisasi.rsk_jenis == 7}
                                        ${jenisRealisasi.rsk_nama_dok}</a>
                                #{/if}
                                #{else}
                                    ${models.nonlelang.nonSpk.JenisRealisasiNonSpk.JenisRealisasiNonSpkEnum.fromValue(jenisRealisasi.rsk_jenis).label}
                                    </a>
                                #{/else}
                                &nbsp;
                                #{if jenisRealisasi.getJumlahPenyedia() > 0}
                                    <span class="badge  badge-success">Sudah Pilih Penyedia</span>
                                #{/if}
                                #{else}
                                    <span class="badge  badge-danger">Belum Pilih Penyedia</span>
                                #{/else}
                            </td>
                            <td>${ext.FormatUtils.formatCurrencyRupiah(jenisRealisasi.rsk_nilai)}</td>
                            <td>${jenisRealisasi.rsk_tanggal.toDatepicker()}</td>
                            <td>
                                #{if !nonSpk?.paket?.pkt_status?.isSelesaiLelang()}
                                    <a href="@{nonSpk.RealisasiNonSpkCtr.hapusJenisDokumen(nonSpk.lls_id, jenisRealisasi.rsk_id)}"
                                       class="btn btn-danger btn-sm" onClick="return confirm('Anda yakin ingin menghapus data ini?');">Hapus</a>
                                #{/if}
                            </td>
                        </tr>
                    #{/list}
                </table>
                #{if !nonSpk?.paket?.pkt_status?.isSelesaiLelang()}
                    <a href="@{nonSpk.RealisasiNonSpkCtr.editJenisRealisasi(nonSpk.lls_id)}" class="btn btn-secondary" ><i class="fa fa-plus" aria-hidden="true"></i>&nbsp;Tambah Realisasi</a>
                #{/if}

                <div class="card bg-light card-body mb-3 card bg-faded p-1 mb-3" style="float: right;"><strong>Total Nilai Realisasi: </strong>${totalNilaiRealisasi}</div>
            </td>
        </tr>
        <tr>
            <th class="bgwarning">Tanggal Paket Selesai <span class="warning">*</span></th>
            <td colspan="3">
                <div style="width: 100%; float: left;">
                    <div style="padding-left: 5px; padding-top: 5px;">${nonSpk.lls_tanggal_paket_selesai?.formatDate()}</div>
                    <div class="input-group date datepicker width-normal" id="datepick" style="padding-left: 0 !important; padding-bottom: 0 !important; float: left!important;">
                        <input name="nonSpk.lls_tanggal_paket_selesai" value="${nonSpk?.lls_tanggal_paket_selesai?.toDatepicker()}"
                               type="text" class="form-control datepicker #{validate 'nonSpk.lls_tanggal_paket_selesai' /}" #{if !nonSpk?.paket?.pkt_status?.isDraft()}disabled#{/if} />
                        <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                    </div>

                    #{if !nonSpk?.paket?.pkt_status?.isDraft()}
                    <div style="float: left; padding-left: 5px; padding-top: 5px;">
                        #{if jumlahPerubahanTanggal > 0}
                        <a class="dialog" title="History Perubahan Tanggal" href="@{nonSpk.NonSpkCtr.viewHistoryUbahTanggalNonSpk(nonSpk?.lls_id)}">${jumlahPerubahanTanggal} kali perubahan</a>
                        #{/if}
                        #{else}
                        Belum ada perubahan
                        #{/else}
                    </div>
                    #{/if}
                </div>
                #{if !nonSpk?.paket?.pkt_status?.isDraft()}
                <div>
                    <br /><br />
                    &nbsp;<label><input type="checkbox" id="check" name="ubahTanggalSelesai">
                    &nbsp;&{'nonspk.ubah_tgl_selesai'}</label>
                </div>
                <div id="alasan_ubah_jadwal">
                    <br />
                    <label><span class="warning"><i>* &{'nonspk.alasan_wajib_diisi'}</i></span>
                        <textarea name="alasan" class="form-control" style="margin-top: 5px !important;" rows="4" cols="50"></textarea>
                    </label>
                </div>
                #{/if}
                <div class="invalid-feedback">#{error 'nonSpk.lls_tanggal_paket_selesai' /}</div>

                <div class="clearfix"></div>
                <div class="bs-callout bs-callout-warning">
                    &{'nonspk.tgl_berakhir_kontrak'}
                </div>
            </td>
        </tr>
        <tr>
            <th class="bgwarning">Uraian Pekerjaan</th>
            <td colspan="3">
                <textarea name="nonSpk.lls_uraian_pekerjaan" class="form-control trumbowyg" rows="12" #{if nonSpk?.paket?.pkt_status?.isSelesaiLelang()}disabled#{/if}>
                    ${nonSpk?.lls_uraian_pekerjaan}
                </textarea>
            </td>
        </tr>
       *{ <tr>
            <th class="bgwarning">Informasi Lainnya</th>
            <td colspan="3">
                #{include 'nonSpk/realisasi/informasi-lainnya-non-spk.html' /}
            </td>
        </tr>}*
        <tr>
            <td class="bgwarning">&nbsp;</td>
            <td colspan="3">
                #{saveButton id:'simpan' /}
                #{backButton action:@BerandaCtr.PpkNonTransaksional() /}
            </td>
        </tr>
    </table>
#{/form}
</div>
#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
<link href="https://unpkg.com/trumbowyg@2.21.0/dist/ui/trumbowyg.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/trumbowyg.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/plugins/cleanpaste/trumbowyg.cleanpaste.min.js"></script>
<script type="text/javascript" src="#{assets '/js/trumbowyg.config.js'/}"></script>
<script type="text/javascript">
    $(document).ready(function(){
	     $('#npwp').on("click", function () {
            $(this).mask("99.999.999.9-999.999");
        });
    });

    $(document).on('click', '.removeBtn', function() {
        $(this).parent().parent().parent().remove();
    });

    $(document).on('click', '#informasiLainnya', function () {
        $('#informasiLainnya').fileupload({
            url: '@{nonSpk.RealisasiNonSpkCtr.uploadInformasiLainnya(nonSpk?.lls_id)}',
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|gif|jpe?g|png|zip|rar|rtf)$/i,
            done: function (e, data) {
                $.each(data.result.files, function (index, file) {
                    var content = '<a href="' + file.download_url + '"><i class="fa fa-download"></i> ' + file.name + '</a> - ' + file.size + ' (' + file.upload_date + ')';
                    $('<li/>').addClass('list-group-item').html(content).appendTo('#files');
                });
                $('#progress').hide();
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress').show();
                $('#progress .progress-bar').css(
                        'width',
                        progress + '%'
                );
            }
        }).on('fileuploadprocessalways', function (e, data) {
            var file = data.files[data.index];
            if (data.files.error && file.error) {
                var msg = file.name + ' - ' + file.error
                $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
            }
        }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
    });

    $(document).on('click', '.removeDok', function () {
        var id = $(this).attr('id');
        var parent = $(this).parent()
        var source = #{jsRoute @nonSpk.RealisasiNonSpkCtr.hapusInformasiLainnya() /};
        $.ajax({
            type: 'POST',
            url: source.url(),
            data: {'id': id},
            success: function () {
                $('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.ftbdh'}');
                parent.remove()
            },
            error: function () {
                $('#alert-upload').attr('class', 'alert alert-danger').html('&{'flash.ftdkdbh'}');
            }
        })
    });

    $( document ).ready(function() {

        #{if !nonSpk?.paket?.pkt_status?.isDraft()}
            $('#datepick').hide();
        #{/if}

        if($('#check').checked)
            $('#alasan_ubah_jadwal').show();
        else
            $('#alasan_ubah_jadwal').hide();
    });

    $('#check').change(function(){
        if(this.checked) {
            $('#alasan_ubah_jadwal').show();
            $('#datepick').show();
            $("[name='nonSpk.lls_tanggal_paket_selesai']").removeAttr("disabled");
        } else {
            $('#alasan_ubah_jadwal').hide();
            $('#datepick').hide();
            $("[name='nonSpk.lls_tanggal_paket_selesai']").attr("disabled", "disabled");
        }
    });

</script>
#{/set}